﻿Imports System.Web.Http
Imports System.Web.Mvc
Imports System.Web.Optimization
Imports System.Web.Routing
Imports BreezyDevices.App_Start

Namespace BreezyDevices
    ' Note: For instructions on enabling IIS6 or IIS7 classic mode, 
    ' visit http://go.microsoft.com/?LinkId=9394801

    Public Class WebApiApplication
        Inherits HttpApplication
        Protected Sub Application_Start()
            AreaRegistration.RegisterAllAreas()

            WebApiConfig.Register(GlobalConfiguration.Configuration)
            FilterConfig.RegisterGlobalFilters(GlobalFilters.Filters)
            RouteConfig.RegisterRoutes(RouteTable.Routes)
            BundleConfig.RegisterBundles(BundleTable.Bundles)
            BreezeConfig.RegisterBreeze()

            ' DEMO: Initialize the Breezy Devices sample database
            Entity.Database.SetInitializer(New Models.BreezyDevicesDatabaseInitializer)
        End Sub
    End Class
End Namespace